<script lang="ts">
  import EditCompetitionInfo from '@components/CompetitionInfo/EditCompetitionInfo.svelte';
  import { requireEventStarted, requireRole } from '@auth/PermissionRequired';
  import { EventRole } from '@auth/models';
</script>

<svelte:head>
  <title>Competition Info</title>
</svelte:head>

<div class="container-fluid mt-2" use:requireEventStarted>
  <h4 class="page-header">Modify Competition Info</h4>
  {#await requireRole(EventRole.EventAdmin) then _}
    <EditCompetitionInfo />
  {/await}
</div>
